loci.formats.in

## Class LeicaHandler.ROI

- java.lang.Object
- - loci.formats.in.LeicaHandler.ROI

- Enclosing class:
    LeicaHandler

      class LeicaHandler.ROI
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARROW`
    `int` | `color`
    `java.lang.String` | `fontName`
    `java.lang.String` | `fontSize`
    `static int` | `LINE`
    `int` | `linewidth`
    `java.lang.String` | `name`
    `private boolean` | `normalized`
    `static int` | `POLYGON`
    `static int` | `RECTANGLE`
    `double` | `rotation`
    `static int` | `SCALE_BAR`
    `double` | `scaleX`
    `double` | `scaleY`
    `java.lang.String` | `text`
    `static int` | `TEXT`
    `double` | `transX`
    `double` | `transY`
    `int` | `type`
    `java.util.Vector<java.lang.Double>` | `x`
    `java.util.Vector<java.lang.Double>` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `normalize()` Vertices and transformation values are not stored in pixel coordinates.
    `void` | `storeROI(MetadataStore store, int series, int roi)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT

          public static final int TEXT

      See Also:
        Constant Field Values

    - #### SCALE_BAR

          public static final int SCALE_BAR

      See Also:
        Constant Field Values

    - #### POLYGON

          public static final int POLYGON

      See Also:
        Constant Field Values

    - #### RECTANGLE

          public static final int RECTANGLE

      See Also:
        Constant Field Values

    - #### LINE

          public static final int LINE

      See Also:
        Constant Field Values

    - #### ARROW

          public static final int ARROW

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### x

          public java.util.Vector<java.lang.Double> x

    - #### y

          public java.util.Vector<java.lang.Double> y

    - #### transX

          public double transX

    - #### transY

          public double transY

    - #### scaleX

          public double scaleX

    - #### scaleY

          public double scaleY

    - #### rotation

          public double rotation

    - #### color

          public int color

    - #### linewidth

          public int linewidth

    - #### text

          public java.lang.String text

    - #### fontName

          public java.lang.String fontName

    - #### fontSize

          public java.lang.String fontSize

    - #### name

          public java.lang.String name

    - #### normalized

          private boolean normalized

  - ### Constructor Detail

    - #### ROI

          ROI()

  - ### Method Detail

    - #### storeROI

          public void storeROI(MetadataStore store,
                               int series,
                               int roi)

    - #### normalize

          private void normalize()

      Vertices and transformation values are not stored in pixel coordinates. We need to convert them from physical coordinates to pixel coordinates so that they can be stored in a MetadataStore.

Copyright © 2026 Open Microscopy Environment